# Water Electrolysis

1 water --0.5s--> 1 hydrogen.  
Electrolyze water to obtain hydrogen. This formula can be carried out in a chemical plant after the Basic Chemicals technology is unlocked.   
In addition, the following adjustments have been made for balance:  
Hydrogen Heat value: 8MJ -> 440kJ  
Refined Oil Heat value: 4.4MJ -> 8MJ  
Orbital Collector Work Power: 30MW -> 1.5MW  

You can Cancel this banlance adjustment by modifying the configuration file and setting the "BalanceAdjustmen" to false.

(Due to the low power consumption of chemical plants, and the heating value of hydrogen in the game is as high as 8MJ, in order to ensure the high efficiency of electrolysis to obtain hydrogen and prevent large-scale power generation through water electrolysis, the heating value of hydrogen will be greatly reduced to 440kJ. Besides, the energy required of the orbital collector is reduced.  
Since we may need to use oil and refining for power generation in some cases, the reduction in the heating value of hydrogen will lead to the breakdown of power generation in the oil production line. Therefore, the heating value of refined oil has been increased from 4.4MJ to 8MJ to compensate for the heating value of hydrogen, which means that you can still burn the refined oil to generate power.)

### Installation

1. Install BepInEx.  
2. Install LDBTool. (You must have this mod!) Thanks to xiaoye97 for providing such convenient tools.  
3. Drag Water electrolysis.dll into "Dyson Sphere Program/BepInEx/plugins/"  

### Mod conflicts

Problems may arise when other mods that create new items/recipes use the following IDs:  
RecipeProto.ID: 443  
StringProto.ID: 28001  
StringProto.ID: 28002  

Problems may arise when other mods that create new items/recipes use the following GridIndex:   
1610

# ChangeLog

v1.2.1: Fix the problem that the WaterElectrolysis Recipecovers the vanilla Proliferator Mk1 recipe. You might need to reset the LDBTool's GridIndex config file if your LDBTool's version is too low.


# 电解水

1水 --0.5s--> 1氢气。  
电解水以获取氢气。该配方在“基础化工”科技解锁后可在化工厂中进行（当然，不能手搓）。此外，为平衡，进行了以下调整：  
氢气热值：8MJ -> 440kJ  
精炼油热值：4.4MJ -> 8MJ  
轨道采集器功率: 30MW -> 1.5MW  

你可以通过修改配置文件（设置BalanceAdjustment项为false）来取消这个平衡调整。  

（由于化工厂耗电量较低，而游戏中氢气热值高达8MJ，为了保证电解获取氢气的高效，同时防止借助电解进行大规模发电，氢气的热值将被大幅降低到440kJ。此外，轨道采集器的能量消耗被降低了，防止因氢气能量过低导致无法放置采集器。  
鉴于一些情况下需要利用原油和精炼进行发电，氢气热值的降低将导致原油生产线发电崩溃，因此精炼油的热值由4.4MJ提高到8MJ，弥补氢气的热值问题。）

### 安装

1. 安装 BepInEx框架；  
2. 安装 LDBTool. （必须安装这个mod）感谢宵夜97提供了方便的工具；    
3. 将Water electrolysis.dll放入 "Dyson Sphere Program/BepInEx/plugins/"文件夹内。  

### Mod冲突

当其他创造新物品/配方的mod使用了以下ID时，可能会产生问题：  
RecipeProto.ID: 443  
StringProto.ID: 28001  
StringProto.ID: 28002  
当其他创造新物品/配方的mod使用了以下位置时，可能会产生问题：  
1610

### 更新日志

v1.2.1: 修复了电解水图标会覆盖增产剂的问题。如果你的LDBTool版本过低，你可能需要手动删除LDBTool的GridIndex相关的config文件来使其生效。

v1.2.0: 可以关闭平衡调整（不再修改氢气和精炼油能量，不再修改采集器功耗。）

v1.1.0: 氢气能量44kJ->440kJ，轨道采集器能量消耗30MW->1.5MW，从而解决由于氢气能量不足导致无法放置轨道采集器的问题。

v1.0.2: 氢气能量4kJ->44kJ，要不然还不够分拣器的功耗的......